Bug 438277 - FireFox crashes when watching youtube videos
FireFox crashes when watching youtube videos
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 21:43 EDT by htwang
Modified: 2008-10-04 14:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-04 11:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug Report (535.81 KB, text/plain)
2008-03-19 21:43 EDT, htwang
no flags Details

  None (edit)
Description htwang 2008-03-19 21:43:39 EDT
when using firefox watching youtube videos, the browser crashes several times
with unspecified errors.
Comment 1 htwang 2008-03-19 21:43:39 EDT
Created attachment 298617 [details]
Bug Report
Comment 2 Matěj Cepl 2008-06-17 15:47:36 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and unfortunately the backtrace you have provided cannot be used in the
moment for diagnosis of your issue.

Please install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2008-07-15 19:47:20 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2008-07-15 19:48:10 EDT
Also, please, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Thank you
Comment 5 htwang 2008-07-28 12:15:20 EDT
output for 
	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

java-1.7.0-icedtea-plugin-1.7.0.0-0.20.b21.snapshot.fc8
firefox-2.0.0.15-1.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
totem-mozplugin-2.20.1-2.fc8
nspluginwrapper-0.9.91.5-18.fc8
flash-plugin-9.0.124.0-release
gstreamer-plugins-good-0.10.6-7.fc8
gutenprint-plugin-5.0.2-1.fc8
alsa-plugins-pulseaudio-1.0.15-3.fc8.1
setroubleshoot-plugins-2.0.4-4.fc8
gstreamer-plugins-base-0.10.15-4.fc8
firefox-devel-2.0.0.15-1.fc8
libflashsupport-000-0.1.svn20070904
Comment 6 Matěj Cepl 2008-07-28 18:12:31 EDT
I am sorry but the backtrace in comment 1 is unfortunately totally useless for
us (it requires infrastructure which is used only for firefox builds from
mozilla.com). So, could you please really attach the information required in
comment 2? Does firefox still crashes for you?
Comment 7 Matěj Cepl 2008-09-11 18:52:06 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Dawid Pietrala 2008-10-02 17:12:14 EDT
hi,

i'll try to provide you with information you need as i suffered from the bug too. the problem disappeared when i installed libflashsupport.

however, without libflashsupport, when run from terminal (no debug now):

ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

E: shm.c: mmap() failed: Nie można przydzielić pamięci
E: shm.c: mmap() failed: Nie można przydzielić pamięci
(a lot of these)
E: shm.c: mmap() failed: Nie można przydzielić pamięci

(Nie można przydzielić pamięci=can't allocate memory)

firefox: pulse.c:203: pulse_new: Warunek zapewnienia `p->context' nie został spełniony.

/usr/lib/firefox-3.0.2/run-mozilla.sh: line 131:  4288 Przerwane (stopped)              "$prog" ${1+"$@"}

while with debuginfo:

(gdb) run
Starting program: /usr/lib/firefox-3.0.2/firefox '-UILocale' 'pl'
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fef6d0 (LWP 4411)]

Program exited normally.
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 avahi.i386 bug-buddy.i386 dbus-glib.i386 dbus.i386 e2fsprogs.i386 elfutils.i386 expat.i386 gnome-keyring.i386 gtk-nodoka-engine.i386 keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdamage.i386 libXdmcp.i386 libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386 libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386 libbonoboui.i386 libcanberra.i386 libcap.i386 libgnome.i386 libgnomecanvas.i386 libgnomeui.i386 libjpeg.i386 libogg.i386 libpng.i386 libselinux.i386 libtool.i386 libvorbis.i386 libxcb.i386 libxml2.i386 nss.i386 openssl.i686 pixman.i386 popt.i386 samba.i386 sqlite.i386 zlib.i386
(gdb) thread apply all backtrace
No registers.
Comment 9 Matěj Cepl 2008-10-04 11:07:45 EDT
Yes, that's correct flash-plugin just doesn't work with PulseAudio without libflashsupport pacakge.
Comment 10 Dawid Pietrala 2008-10-04 14:46:06 EDT
ok, but should FF crash then? it does not indicate that you need any additional package and can result in confusion and new users can become discouraged.

Note You need to log in before you can comment on or make changes to this bug.